


//    24 byte data block header  (from Storage Server)

typedef struct s_data_header {
    char header_id[8];
    int header_sequence;
    short  header_stream;
    short  header_tape;
    short  header_MyEndian;
    short  header_DataEndian;
    int header_dataLen;
} DATA_HEADER;



//    format of the data buffer area header    (from spylib) 

#define NBLOCKS N_DATA_BUFFERS  /*  current number of buffers used - must be 2**n */
#define MAX_BUFFERS N_DATA_BUFFERS    /*  unchangeable max because of header structure */

typedef struct s_buffer_header {
    int buffer_offset;                 //    offset to first buffer
    int buffer_number;                 //    number of buffers
    int buffer_length;                 //    length of buffers
    int buffer_next;                   //    next buffer to be written
    int buffer_max;                    //    MAX_BUFFERS
    int buffer_spare1;
    int buffer_spare2;
    int buffer_spare3;
    long long buffer_currentage;
    long long buffer_age[MAX_BUFFERS];
    int buffer_status[MAX_BUFFERS];
}  BUFFER_HEADER; 

