
/*
    which      0 = LOW;    1 = HIGH

*/


/* --------------------------------------------------------------------- */

void do_ASICdatabuffer(int offset)
{
    unsigned int data, timestamp, timeH , infotimeTen ;
    unsigned int TS0to27;
    unsigned int chanNum;
    unsigned int flags;

    int i, j, n, eventflag, ASIClength;
    int infocode;
    unsigned short* ptr;
    unsigned int* databuffer;
    unsigned int* evntbuffer;
    unsigned long long info_time , tdiff , fulltimemaker() , extract ;

//    if (AidaTrace) printf ("do_ASICdatabuffer offset %d\n", offset);

    ASICDataEventLen = 0;
    evntbuffer = &ASICDataEvent[0];


	if ( ASIC_ev_limit < PRINTMAX ) {
		printf("ASIC:%d:Buffer info. Length = %d : Offset = %d:%d \n", ASIC_ev_limit , ASICDataBufferLen , ASICDataBufferOffset, offset);
			ASIC_ev_limit++;
	}

	databuffer = &ASICDataBuffer[offset];  // the ASICDataBuffer consists of a DMA Block of ints ( 32 bit words ) 

//       ASICDataBufferLen     this is the maximum scan length left -  32 bit words 

    data = *databuffer;

	Aida_FifoBuffer[0][Aida_FifoBufferPtr[0]] = data;
	if (++Aida_FifoBufferPtr[0] == AIDAFIFOBUFFERLENGTH) Aida_FifoBufferPtr[0] = 0;

	if ((unsigned int)(data & 0xc0000000) != (unsigned int)0xc0000000) {    /*    not a AIDA ADC header */   
   
		databuffer++;    /* advance pointers */
		ASICDataBufferLen--;      // put these two here to be sure that if we jump out we come back with the correct pointers unless there is an error
		ASICDataBufferOffset++ ;  // increment one int at a time so if end of this ASICform return with offset pointing to next int which should be a header

	if ((unsigned int)(data & 0xc0000000) == (unsigned int)0x80000000) {

/*    is an info word - we expect GWR Extension; SYNC; PAUSE; RESUME; AIDA Discriminator and MBS data   */

		infocode = (data >> 20) & 15;
		if (infocode == 2 || infocode == 3 || infocode == 4 ||  infocode == 5 || infocode == 6 || infocode == 8) {
			timeH = (data & 0x000fffff); 	// Store the info part of the data item

			TS0to27 = *databuffer;    /*   timestamp bits 27:0 */

			Aida_FifoBuffer[0][Aida_FifoBufferPtr[0]] = TS0to27;
			if (++Aida_FifoBufferPtr[0] == AIDAFIFOBUFFERLENGTH) Aida_FifoBufferPtr[0] = 0;

			databuffer++;    /* advance pointers */
			ASICDataBufferLen--;
			ASICDataBufferOffset++ ;


			switch (infocode)  {	// Add a case for 5
			   case 2:  {
				Stats[ASICPAUSE]++;
				info_time =  fulltimemaker( GWR_Extension , timeH , TS0to27 );
				infotimeTen = ( (unsigned int)( info_time >> 28 ) & 0x000FFFFF ) ;
							
				break;
				}
			   case 3:  {	
				Stats[ASICRESUME]++;
			        info_time =  fulltimemaker( GWR_Extension , timeH , TS0to27 );
				infotimeTen = ( (unsigned int)( info_time >> 28 ) & 0x000FFFFF ) ;

				break;
			        }
			   case 4:  {
				 Stats[ASICSYNC]++;
				 Stats[WRSTAMP] = ( GWR_Extension << 20 ) + timeH ; // added to track time PJCS 19/11/18 STAT[8]
				 info_time =  fulltimemaker( GWR_Extension , timeH , TS0to27 );
				 infotimeTen = ( (unsigned int)( info_time >> 28 ) & 0x000FFFFF ) ;

							
				 tdiff = info_time - SYNCTimeStamp ;
				 if ( tdiff != ( unsigned long long )0xA000000 ) Stats[SYNCTIMEWARP]++ ;
				 SYNCTimeStamp = info_time ;
				 break;
				 }
			   case 5:  { 	          // collect the time stamp bits 63 downto 48
				GWR_Extension = ( timeH & 0xFFFF ) ;
				Stats[GWREXT]++; break; 									// this is number 59 in the stats 
				}
			   case 6:  {Stats[ASICDESC]++; break;}
			   case 8:  {Stats[ASICMBS]++; break;}
			   default: {Stats[ASICSKIPPED]++; break;} // should count nothing now ?
			}
			switch ( infocode ) { 
				case 2:
				case 3:
				case 4: {
					*evntbuffer++ = (2 << 30) | (Aida_ModuleNum << 24) | ( 5 << 20 ) | ( (unsigned int)( info_time >> 48 ) & 0x0000FFFF ) ;	// make the GWR Ext  data item and output it
					ASICDataEventLen++;
					*evntbuffer++ = (( TS0to27 * 10 )  & 0x0FFFFFFF );   //Output the timestamp multiplied by 10
					ASICDataEventLen++;
					*evntbuffer++ = (2 << 30) | (Aida_ModuleNum << 24) | (data & 0x00f00000) | infotimeTen ;	// make the info data item and output it
					ASICDataEventLen++;
					*evntbuffer++ = (( TS0to27 * 10 )  & 0x0FFFFFFF );   //Output the timestamp multiplied by 10
					ASICDataEventLen++;
					break ;
					}
				case 5 : { break ;}
				case 6 :
				case 8 : {
				        *evntbuffer++ = (2 << 30) | (Aida_ModuleNum << 24) | (data & 0x00f00000) | infotimeTen ;	// make the info data item and output it
					ASICDataEventLen++;
					*evntbuffer++ = (( TS0to27 * 10 )  & 0x0FFFFFFF ); 	//Output the timestamp multiplied by 10
					ASICDataEventLen++;
					break ;
						}
				default : {
					*evntbuffer++ = (2 << 30) | (Aida_ModuleNum << 24) | (data & 0x00f00000) | infotimeTen ;	// make the info data item and output it
					ASICDataEventLen++;
					*evntbuffer++ = (( TS0to27 * 10 )  & 0x0FFFFFFF );    //Output the timestamp multiplied by 10
					ASICDataEventLen++;
					break ;
				}
			}

		}
	}

	return;
}

/*    is an AIDA ADC header */

    databuffer++;    /* advance pointers */
	ASICDataBufferLen--;
	ASICDataBufferOffset++ ;
                                              /* handle the 2 * 32 bits words which make up a ASIC ADC item */
   
	chanNum = (data >> 16) & 0x3f;
	flags = (data >> 28) & 3;
   *evntbuffer++ = (3 << 30) | (flags << 28) | (Aida_ModuleNum << 22) | (chanNum << 16) | (data & 0x0000ffff);

	ASICDataEventLen++;           

	TS0to27 = *databuffer;
/*		if ( ASIC_15_count != 100 && chanNum == 14 ) {
	printf( "%d:ASICReadout : Data word => %08X : Timestamp => %08X \n", ASIC_15_count++, data , timestamp );
}
*/
	Aida_FifoBuffer[0][Aida_FifoBufferPtr[0]] = TS0to27;
	if (++Aida_FifoBufferPtr[0] == AIDAFIFOBUFFERLENGTH) Aida_FifoBufferPtr[0] = 0;

	*evntbuffer++ = (( TS0to27 * 10 )  & 0x0FFFFFFF );
	ASICDataEventLen++;
	
	databuffer++;          /* advance pointers  */
	ASICDataBufferLen--; 
	ASICDataBufferOffset++;


}
/* --------------------------------------------------------------------- */
unsigned long long fulltimemaker( unsigned int GWR_Extension ,unsigned int timeH ,  unsigned int TS0to27 ) {
	
	unsigned long long fulltime,  TenTime;
	fulltime = ( ( (unsigned long long )GWR_Extension << 48 ) + ( (unsigned long long )timeH << 28 ) + ( unsigned long long )TS0to27 ) ;
	TenTime = fulltime * 10 ;
	return( TenTime );
	
}
/* --------------------------------------------------------------------- */

int get_ASICBlk()
{
    int bytes, Offset;
    int rc;
    unsigned int data32=0;
    unsigned int* databuffer;
    int Status, state_machines, BlkStatus;
    int which, mem_range;
    int i, l;

    which = CurrentASICBlkID; // which block is expected

//    if (AidaTrace) printf ("get_ASICBlk %d\n", which);

     lseek(Aidafh, (ASICDMASTATUS << 2), SEEK_SET);     // DMA Status register
     rc = read(Aidafh, &Status, 4);                 //  read it
     lseek(Aidafh, (ASICDMASTATEMC << 2), SEEK_SET);    // DMA State machine register
     rc = read(Aidafh, &state_machines, 4);         //  read it

     if ((Status & 0x31) != 0) {

         if (ASIC_DMAError < 10) {
            printf("\nget_ASICBlk (C) : which = %d , Status = %08X , Count = %d\n",which, Status, ASIC_DMAError);
         }

         if (ASIC_DMAError == 0) {
             lseek(Aidafh, (ASICDMACTRL << 2), SEEK_SET);    // DMA Status register
             data32 = 0;
             rc = write(Aidafh, &data32, 4);
             data32 = 0x8000;   /*  reset  */
             rc = write(Aidafh, &data32, 4);
             data32 = 0;
             rc = write(Aidafh, &data32, 4);
             data32 = 1;    /* enable */
             rc = write(Aidafh, &data32, 4);
         }

         ASIC_DMAError++;
         return 0;  /* no data */
    }
    BlkStatus = Status ;
     if ((Status & 0xc0) == 0x00)   return 0;    /* no data */
     
    lseek(Aidafh, (ASICDMAFLUSH << 2), SEEK_SET);     // DMA Flush register
     rc = read(Aidafh, &data32, 4);                  //  read it

     if (data32 == 1) {
         data32 = 0;
         rc = write(Aidafh, &data32, 4);                 //   clear it
         Stats[DATAFLUSHED]++;
    }
     
     
     switch( which ) {
     	case LOW :
     		if ( (Status & 0x40 ) != 0x40 ) { // error going to get the wrong block
     			if ( ASIC_printlimit < PRINTMAX ) {
     				printf("\nget_ASICBlk (B) : which = %d , Status = %08X \n",which, Status);
                                ASIC_printlimit++;
     			}
     			return 0 ;
     		}
     		break ;
     	case HIGH :
     		if ( (Status & 0x80 ) != 0x80 ) { // error going to get the wrong block
     			if ( ASIC_printlimit < PRINTMAX ) {
     				printf("\nget_ASICBlk (B): which = %d , Status = %08X \n",which, Status);
                                ASIC_printlimit++;
     			}
     			return 0 ;
     		}
     		break ;
     	default	:
		if ( ASIC_printlimit < PRINTMAX ) {
			printf("\nget_ASICBlk (B) : which = %d , Status = %08X \n",which, Status);
                        ASIC_printlimit++;
		}
     		return 0 ;
     }
/*    setup for data block length */

          switch (which) {
             case LOW:
                 lseek(Aidafh, (ASICDMABLKLOW << 2), SEEK_SET);
                 break;
             case HIGH:
                 lseek(Aidafh, (ASICDMABLKHIGH << 2), SEEK_SET);
                 break;
             default:
                 break;
           }

        rc = read(Aidafh, &bytes, 4);        //  read it

	 if (bytes > ASICDATABUFFERLEN ) {
	       if ( ASIC_error_limit++ < PRINTMAX )  printf ("%d:get_ASICBlk (D) {bytes too big} which = %d : %d bytes : status = %04X, State machines = %04X\n", ASIC_error_limit, which, bytes, Status, state_machines);
		bytes = ASICDATABUFFERLEN ; // the value from the VHDL is already in bytes
	}

/*   setup for DMA buffer  */

          switch (which) {
             case LOW:
                 Offset = ASICBUFFERBASE ;
                 break;
             case HIGH:
                 Offset =  ( ASICMemSize / 2 ) + ASICBUFFERBASE ; // this points to the start of the High buffer
                 break;
             default:
                 break;
           }
	 mem_range = Offset + bytes ;
	if ( mem_range > 16777216 || mem_range <0  ) { // then it's not good 
		ASICDataBufferLen = 0 ;
		DACQ_State = STOPPED ;
		printf("Accessing Aidamem error. Offset = %08X , bytes = %d (0x%08X) , Total = %d (0x%08X). Stopping DACQ.\n",Offset , bytes, bytes, mem_range, mem_range);
	} else {
		lseek(Memfh, Offset, SEEK_SET);
		rc = read(Memfh, &ASICDataBuffer[0], bytes);        //  read the whole DMA block of ASICform data into the buffer

	}


 /*       if ( ASIC_gblk_limit++ < GBLKMAX )  printf ("%d:get_ASICBlk (A) which = %d : %d bytes : status = %04X, State machines = %04X\n", ASIC_gblk_limit++, which, bytes, Status, state_machines);
/* 
 printf("data =");
  l = bytes/4;
  if (l > 64) l=64;
 for (i=0; i<l; i++) printf(" 0x%08x",ASICDataBuffer[i]);
 printf("\n");
*/


     if (*dacq_Trace == 10 ) { // changed for a netvar 11Aug16

         FILE *fh;

         fh = fopen("/tmp/ASIC.dat","a");    // open for append

         fwrite (ASICDataBuffer,bytes,1,fh);
         fclose(fh);
     }


/*    setup for Block taken register */

          switch (which) {
             case LOW:
                 lseek(Aidafh, (ASICDMABLKLOWDONE << 2), SEEK_SET);
                 break;
             case HIGH:
                 lseek(Aidafh, (ASICDMABLKHIGHDONE << 2), SEEK_SET);
                 break;
             default:
                 break;
           }

          rc = write(Aidafh, &data32, 4);        //  set block taken

/* check to see flag removed */
	     lseek(Aidafh, (ASICDMASTATUS << 2), SEEK_SET);    // DMA Status register
	     rc = read(Aidafh, &Status, 4);                  //  read it
          switch (which) {
             case LOW:
             	     if (( Status & 0x40) != 0 && ASIC_diag_stat_limit++ < DIAGSTATMAX ) printf("\nget_ASICBlk : Block low taken flag not cleared status = %04X\n",Status);
                 break;
             case HIGH:
             	     if (( Status & 0x80) != 0 && ASIC_diag_stat_limit++ < DIAGSTATMAX ) printf("\nget_ASICBlk : Block high taken flag not cleared status = %04X\n",Status);
                 break;
             default:
                 break;
           }
/* report the block number and other block information */
	if ( buf_size_print < GBLKMAX ) {
		databuffer = &ASICDataBuffer[0];  // the ASICDataBuffer consists of a DMA Block of ints ( 32 bit words )
		printf("get_ASICBlk : Blk=%d : bytes = %d : Blk_Status = %08X : Offset = %08X : Databuffer : %d : 0 => %08X : 1 => %08X \n", which, bytes, BlkStatus, Offset, databuffer, *databuffer++ , *databuffer );
		databuffer = &ASICDataBuffer[bytes/4 - 2];  // the ASICDataBuffer consists of a DMA Block of ints ( 32 bit words )
		printf("Last Data : Databuffer  %d : 0 => %08X : 1 => %08X \n", databuffer, *databuffer++ , *databuffer++ ) ;
		for ( i = 0 ; i < 8 ; i++ ) {
printf(" %08X : %08X | %08X : %08X | %08X : %08X | %08X : %08X \n",*databuffer++,*databuffer++,*databuffer++,*databuffer++,*databuffer++,*databuffer++,*databuffer++,*databuffer++ );
		}
		buf_size_print++ ;
	}

/*    update stats and control variable   */

          Stats[ASICDMABLOCKS]++; 
          switch (which) {
             case LOW:
                 CurrentASICBlkID = 1;
                 break;
             case HIGH:
                 CurrentASICBlkID = 0;
                 break;
             default:
                 break;
           }

     ASICDataBufferLen = bytes/4 ;   /*  This should be the number of ints in the buffer  */
     ASICDataBufferOffset = 0;   /* ints offset into the copied block of data used each time an event is moved to the FIFO */
     
//printf("get_ASICBlk ( Returning after done ) %d  length %d ( %08X )\n", which, ASICDataBufferLen, ASICDataBufferLen);

     return 1; 
}

/* --------------------------------------------------------------------- */
// called from Aida_interrupt.c 
void Aida_ASICreadevent()
{
    unsigned short * itemptr;
    int i;

   if (ASICDataEventLen == 0) do_ASICdatabuffer(ASICDataBufferOffset);

   if (ASICDataEventLen == 0) return;    /*  no events   now if 0 means no headers found */

   itemptr =  (unsigned short *)&ASICDataEvent[0];

   for (i=0; i<(ASICDataEventLen*2); i++) {       /* copy as shorts */
         *eventbuffer++ = *itemptr++;
         EventBufferLen++;
   }

   Stats[AIDAASICEVENT]++;

   ASICDataEventLen = 0; // forces the fetch of another ASIC item

    return;
}

/* --------------------------------------------------------------------- */

int Aida_ASICnumevent()
{
    int rc;

    if (ASICDataBufferLen > 0) return 1;    /*  data already in our buffers */

/*    look to see if any data available */

    get_ASICBlk();

    if (ASICDataBufferLen > 0) return 1;    /*  data now in our buffers */

    return 0;
}

/* --------------------------------------------------------------------- */


void ApplAction1(char *p) {

           printf("Done\n");
}

/* --------------------------------------------------------------------- */

